Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.instance
Class DesktopInstance

    java.lang.Object
      com.bea.netuix.application.instance.DesktopInstance

All Implemented Interfaces
  Serializable

    public class DesktopInstance

extends Object
implements Serializable

Represents a customized version of a `DesktopDefinition`.

See Also
  Serialized Form

Constructor Summary
`DesktopInstance(ShellDefinitionId shellDefinitionId, BookInstanceId bookInstanceId, LookAndFeelDefinitionId lookAndFeelDefinitionId, String instanceTitle)` Constructor to create a new `DesktopInstance` object.

Method Summary
`BookInstanceId` | `getBookInstanceId()` Return the `BookInstanceId` for the primary book for this desktop.
`Date` | `getCreatedDate()` Gets the date this desktop instance was created.
`DesktopDefinition` | `getDesktopDefinition()` Returns the `DesktopDefinition` that this desktop was created from.
`DesktopDefinitionId` | `getDesktopDefinitionId()` Returns the `DesktopDefinitionId` for the `DesktopDefinitionId` that this desktop was created from.
`DesktopInstanceId` | `getDesktopInstanceId()` Returns the `DesktopInstanceId` for this desktop.
`DesktopType.DesktopTypeValue` | `getDesktopType()` Returns type of this desktop
`String` | `getInstanceTitle()` Returns the instance title for this desktop.
`LookAndFeelDefinitionId` | `getLookAndFeelDefinitionId()` Returns the `LookAndFeelDefinitionId` for the `LookAndFeelDefinition` associated with this desktop.
`Date` | `getModifiedDate()` Returns the date this desktop instance was last modified.
`ShellDefinitionId` | `getShellDefinitionId()` Returns the `ShellDefinitionId` for the `ShellDefinition` associated with this desktop.
`boolean` | `isGlobal()` Returns true if this desktop template is global
`boolean` | `isModified(DesktopInstance parent)`
`boolean` | `isTemplate()` Returns true if this desktop is a template
`void` | `setBookInstanceId(BookInstanceId bookInstanceId)` Sets book with `BookInstanceId` as the primary book for this desktop
`void` | `setInstanceTitle(String instanceTitle)` Sets the instance title for this desktop
`void` | `setLookAndFeelDefinitionId(LookAndFeelDefinitionId lookAndFeelDefinitionId)` Associates a `LookAndFeelDefinition` with this desktop.
`void` | `setShellDefinitionId(ShellDefinitionId shellDefinitionId)` Associates a `ShellDefinition` with this desktop.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DesktopInstance

    public DesktopInstance(ShellDefinitionId shellDefinitionId,
                           BookInstanceId bookInstanceId,
                           LookAndFeelDefinitionId lookAndFeelDefinitionId,
                           String instanceTitle)

  Constructor to create a new `DesktopInstance` object.

  Parameters
    `shellDefinitionId` - reference to a persisted `ShellDefinition` to be associated with this desktop
    `bookInstanceId` - reference to a persisted `BookInstance` that represents the main book of this desktop
    `lookAndFeelDefinitionId` - reference to a persisted `LookAndFeelDefinition` to be associated with this desktop
    `instanceTitle` - customized title for this desktop instance

Method Detail

### getDesktopInstanceId

    public DesktopInstanceId getDesktopInstanceId()

  Returns the `DesktopInstanceId` for this desktop. Returns `null` when the DesktopInstance has not been retrieved by using the persistence API.

  Returns
    `DesktopInstanceId` for this desktop

### getDesktopDefinition

    public DesktopDefinition getDesktopDefinition()

  Returns the `DesktopDefinition` that this desktop was created from. Returns `null` when the DesktopInstance has not been retrieved by using the persistence API.

  Returns
    `DesktopDefinition` for this desktop

### getDesktopDefinitionId

    public DesktopDefinitionId getDesktopDefinitionId()

  Returns the `DesktopDefinitionId` for the `DesktopDefinitionId` that this desktop was created from. Returns `null` when the DesktopInstance has not been retrieved by using the persistence API.

  Returns
    `DesktopDefinitionId` for this desktop

### getShellDefinitionId

    public ShellDefinitionId getShellDefinitionId()

  Returns the `ShellDefinitionId` for the `ShellDefinition` associated with this desktop.

  Returns
    `ShellDefinitionId`
  See Also
    `ShellDefinition`

### setShellDefinitionId

    public void setShellDefinitionId(ShellDefinitionId shellDefinitionId)

  Associates a `ShellDefinition` with this desktop.

### getBookInstanceId

    public BookInstanceId getBookInstanceId()

  Return the `BookInstanceId` for the primary book for this desktop.

  Returns
    `BookInstanceId`

### setBookInstanceId

    public void setBookInstanceId(BookInstanceId bookInstanceId)

  Sets book with `BookInstanceId` as the primary book for this desktop

### getLookAndFeelDefinitionId

    public LookAndFeelDefinitionId getLookAndFeelDefinitionId()

  Returns the `LookAndFeelDefinitionId` for the `LookAndFeelDefinition` associated with this desktop.

  Returns
    `LookAndFeelDefinitionId`
  See Also
    `LookAndFeelDefinition`

### setLookAndFeelDefinitionId

    public void setLookAndFeelDefinitionId(LookAndFeelDefinitionId lookAndFeelDefinitionId)

  Associates a `LookAndFeelDefinition` with this desktop.

### getInstanceTitle

    public String getInstanceTitle()

  Returns the instance title for this desktop.

  Returns
    instance title

### setInstanceTitle

    public void setInstanceTitle(String instanceTitle)

  Sets the instance title for this desktop

### getDesktopType

    public DesktopType.DesktopTypeValue getDesktopType()

  Returns type of this desktop

### isTemplate

    public boolean isTemplate()

  Returns true if this desktop is a template

### isGlobal

    public boolean isGlobal()

  Returns true if this desktop template is global

### getCreatedDate

    public Date getCreatedDate()

  Gets the date this desktop instance was created.

### getModifiedDate

    public Date getModifiedDate()

  Returns the date this desktop instance was last modified.

### isModified

    public boolean isModified(DesktopInstance parent)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.